DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# PixelHeapPop

Pop item onto heap

## SYNOPSIS

`#include "dip_pixelqueue.h"`

dip_Error dip_PixelHeapPop ( heap, coords, pointer, value )

## FUNCTION

Pops the next pixel from the heap. See `PixelHeapNew` for information on the heap data structure. `coords` is a pointer to an array of `dip_int`s, such as that obtained with `dip_IntegerArray->array`. It should have as many elements as the image dimensionality. If the stack was created with `ndims` set to 0, the `coords` pointer is ignored. `coords`, `pointer` and `value` can be `NULL` if you are not interested in either those values.

## ARGUMENTS

Data type | Name | Description
`dip_PixelHeap` | `heap` | The heap structure
`dip_int *` | `coords` | Receives the coordinates of the popped item
`void **` | `pointer` | Receives the pointer of the popped item
`dip_sfloat *` | `value` | Receives the value of the popped item

## SEE ALSO

`PixelHeapNew`, `StablePixelHeapNew`, `PixelQueueNew`, `PixelHeapFree`, `PixelHeapPush`, `PixelHeapIsEmpty`

DIPlib on-line documentation | Function reference | Global function index